function [vysledna_filtrace] = filtrace(obr,maska0,maska15,maska30,maska45,maska60,maska75,maska90,maska105,maska120,maska135,maska150,maska165)
%filtrace obrazku s jednotlivou maskou, která je natočená v různém směru

% F=ones(15/3,15/3)/25;  %velikost okna 5x5
% obr = conv2(obr,F,'same'); %prumerujici filtr

filtrace(:,:,1)=conv2(obr,maska0,'same');
filtrace(:,:,2)=conv2(obr,maska15,'same');
filtrace(:,:,3)=conv2(obr,maska30,'same');
filtrace(:,:,4)=conv2(obr,maska45,'same');
filtrace(:,:,5)=conv2(obr,maska60,'same');
filtrace(:,:,6)=conv2(obr,maska75,'same');
filtrace(:,:,7)=conv2(obr,maska90,'same');
filtrace(:,:,8)=conv2(obr,maska105,'same');
filtrace(:,:,9)=conv2(obr,maska120,'same');
filtrace(:,:,10)=conv2(obr,maska135,'same');
filtrace(:,:,11)=conv2(obr,maska150,'same');
filtrace(:,:,12)=conv2(obr,maska165,'same');

vysledna_filtrace=max(filtrace,[],3);

% velikost=size(obr);
% vysledna_filtrace=zeros(velikost(1),velikost(2));
% pomocna=zeros(1,12);
% vektor1=velikost(1);
% vektor2=velikost(2);
% for i=1:vektor1
%     for j=1:vektor2
%         pomocna(1)=filtrace0(i,j);
%         pomocna(2)=filtrace15(i,j);
%         pomocna(3)=filtrace30(i,j);
%         pomocna(4)=filtrace45(i,j);
%         pomocna(5)=filtrace60(i,j);
%         pomocna(6)=filtrace75(i,j);
%         pomocna(7)=filtrace90(i,j);
%         pomocna(8)=filtrace105(i,j);
%         pomocna(9)=filtrace120(i,j);
%         pomocna(10)=filtrace135(i,j);
%         pomocna(11)=filtrace150(i,j);
%         pomocna(12)=filtrace165(i,j);
%         vysledna_filtrace(i,j)=max(pomocna); %na pozici i,j se vybere maximální odezva na daném pixelu
%        
%     end
% end
% 
%  figure
%  subplot(261)
%  imshow(filtrace(:,:,1),[])
%   subplot(262)
%  imshow(filtrace(:,:,2),[])
%   subplot(263)
%  imshow(filtrace(:,:,3),[])
%  subplot(264)
%  imshow(filtrace(:,:,4),[])
%   subplot(265)
%  imshow(filtrace(:,:,5),[])
%   subplot(266)
%  imshow(filtrace(:,:,6),[])
%   subplot(267)
%  imshow(filtrace(:,:,7),[])
%   subplot(268)
%  imshow(filtrace(:,:,8),[])
%   subplot(269)
%  imshow(filtrace(:,:,9),[])
%   subplot(2,6,10)
%  imshow(filtrace(:,:,10),[])
%   subplot(2,6,11)
%  imshow(filtrace(:,:,11),[])
%   subplot(2,6,12)
%  imshow(filtrace(:,:,12),[])
%  
%  figure
%  imshow(vysledna_filtrace,[])
%  title('maximální odezva')
end